Skip to main content
GET
/
runs
List Runs
curl --request GET \
  --url https://api.example.com/runs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01JNQVR7M0EJ5GKAT2SC4ERS1Z",
      "repository": {
        "name": "api-server"
      },
      "title": "Add rate limiting to auth endpoints",
      "workflow": {
        "slug": "implement"
      },
      "status": "working",
      "created_at": "2026-03-06T14:30:00Z",
      "pull_request": {
        "number": 889,
        "additions": 234,
        "deletions": 67,
        "comments": 4,
        "checks": [
          {
            "name": "unit-tests",
            "status": "success",
            "duration_secs": 154
          }
        ]
      },
      "timings": {
        "elapsed_secs": 420,
        "elapsed_warning": false
      },
      "sandbox": {
        "id": "sb-a1b2c3d4",
        "resources": {
          "cpu": 4,
          "memory": 8
        }
      },
      "question": {
        "text": "Accept or push for another round?"
      }
    }
  ],
  "meta": {
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by fabro-web. See the Authentication guide for details.

Query Parameters

page[limit]
integer
default:20

Maximum number of items to return per page.

Required range: 1 <= x <= 100
page[offset]
integer
default:0

Number of items to skip before returning results.

Required range: x >= 0

Response

200 - application/json

Paginated list of runs for the board view

Paginated list of runs.

data
object[]
required
meta
object
required

Pagination metadata included in every paginated response.